package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.CfgCommon;

/**
 * 公共配置Mapper接口
 *
 * @author game
 * @date 2024-07-13
 */
public interface CfgCommonMapper extends BaseMapper<CfgCommon> {
    /**
     * 查询公共配置
     *
     * @param id 公共配置主键
     * @return 公共配置
     */
    public CfgCommon selectCfgCommonById(Long id);

    /**
     * 查询公共配置列表
     *
     * @param cfgCommon 公共配置
     * @return 公共配置集合
     */
    public List<CfgCommon> selectCfgCommonList(CfgCommon cfgCommon);

    /**
     * 新增公共配置
     *
     * @param cfgCommon 公共配置
     * @return 结果
     */
    public int insertCfgCommon(CfgCommon cfgCommon);

    /**
     * 修改公共配置
     *
     * @param cfgCommon 公共配置
     * @return 结果
     */
    public int updateCfgCommon(CfgCommon cfgCommon);

    /**
     * 删除公共配置
     *
     * @param id 公共配置主键
     * @return 结果
     */
    public int deleteCfgCommonById(Long id);

    /**
     * 批量删除公共配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCfgCommonByIds(Long[] ids);
}